[karmic] Sound muted after boot

Bug #450652 reported by A. Tombol on 2009-10-13
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
alsa-utils (Ubuntu)
Undecided
Daniel T Chen

Bug Description

Binary package hint: alsa-utils

It was working fine until today's upgrade
related packages could be:
alsa-base (1.0.20+dfsg-1ubuntu4) to 1.0.20+dfsg-1ubuntu5
alsa-utils (1.0.20-2ubuntu3) to 1.0.20-2ubuntu4
libasound2 (1.0.20-3ubuntu5) to 1.0.20-3ubuntu6
linux-sound-base (1.0.20+dfsg-1ubuntu4) to 1.0.20+dfsg-1ubuntu5

machine is an IBM ThinPad X23, running xubuntu 9.10 beta
is know about https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/352732 , but this is a regression know in karmic, and, becouse it's xubuntu, pulseaudio is not installed

A. Tombol (atombol) wrote :

after downgrading alsa-utils to 1.0.20-2ubuntu3, everything is fine again
the other packages mentioned above are the upgraded ones

jcfp (jcfp) wrote :

Confirming, audio volume set to zero + muted on every boot. Up-to-date Xubuntu karmic, no pulseaudio installed. A line was added to the alsa-utils init script in1.0.20-2ubuntu4 (see http://launchpadlibrarian.net/33463027/alsa-utils_1.0.20-2ubuntu3_1.0.20-2ubuntu4.diff.gz) that is causing this trouble; commeting out this line removes the problem:

 [ ! -f /var/lib/pulseaudio/pulse_a11y_nostart ] && exit $EXITSTATUS

Changed in alsa-utils (Ubuntu):
status: New → Confirmed
Daniel T Chen (crimsun) wrote :

Fixed alsa-utils has been pushed to my bzr branch and uploaded to the ubuntu-audio-dev PPA. Please install it once it's available and report whether it resolves the symptom.

Changed in alsa-utils (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
status: Confirmed → Fix Committed
jcfp (jcfp) wrote :

Daniel, ppa version fixes this issue for me.

A. Tombol (atombol) wrote :

i can confirm, that 1.0.20-2ubuntu5~ubuntuaudiodev1 fixes the issue

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-utils - 1.0.20-2ubuntu5

---------------
alsa-utils (1.0.20-2ubuntu5) karmic; urgency=low

  * debian/init: Don't do silly things with the PulseAudio check. Just
    make sure that, in the stop target, we don't store levels for a card
    that has already been stored and muted.
    (LP: #449589, #450612, #450652)

 -- Daniel T Chen <email address hidden> Tue, 13 Oct 2009 22:17:12 -0400

Changed in alsa-utils (Ubuntu):
status: Fix Committed → Fix Released
A. Tombol (atombol) wrote :

Daniel, what has been changed in this new alsa-utils? I needed a script which restarted alsa-utils after suspend/resume, it was quite simple:
~$ cat /etc/pm/sleep.d/99sound
#!/bin/sh
# Restarts sound

start ()
{
 exec /etc/init.d/alsa-utils restart
}

stop ()
{
 exec /etc/init.d/alsa-utils stop
}

case "$1" in
 hibernate|suspend) stop;;
 thaw|resume) start;;
 *) exit $NA ;;
esac

and now it blocks suspend, and when i comment out the stop part, it doesn't bring back sound, not even with alsa-utils restart

A. Tombol (atombol) wrote :

sorry, a little clarification:
-sound restarts if i do it manually after resume
-my original, working script had "start" and not "restart" in line 6
-blocks means it cannot go to suspend or hibernation, the suspend led flashes one, the sound goes offline, but the networking returns and everything is going on as before

On Wed, Oct 14, 2009 at 9:28 AM, a.tom <email address hidden> wrote:
> Daniel, what has been changed in this new alsa-utils? I needed a script which restarted alsa-utils after suspend/resume, it was quite simple:
> ~$ cat /etc/pm/sleep.d/99sound
> #!/bin/sh
> # Restarts sound
>
> start ()
> {
>        exec /etc/init.d/alsa-utils restart
> }
>
> stop ()
> {
>        exec /etc/init.d/alsa-utils stop
> }
>
> case "$1" in
>        hibernate|suspend) stop;;
>        thaw|resume) start;;
>        *) exit $NA ;;
> esac
>
> and now it blocks suspend, and when i comment out the stop part, it
> doesn't bring back sound, not even with alsa-utils restart

This is absolutely the wrong way to do it. If you have problems with
volumes being restored upon resume, it's a sound driver bug, and you
should file a bug affecting linux. You can work around it by
explicitly specifying your driver as needing to be unloaded prior to
suspend.

A. Tombol (atombol) wrote :

never mind, i fixed it by changing #!/bin/sh to #!/bin/bash
thank you for the work

kindofabuzz (kindofabuzz) wrote :

says 'fixed released"? not fixed on my karmic install

Daniel T Chen (crimsun) wrote :

@kindofabuzz Please file a new bug using "ubuntu-bug alsa-base" and
change it to affect alsa-utils instead of alsa-driver.

NoOp (glgxg) wrote :

$ apt-cache policy alsa-utils
alsa-utils:
  Installed: 1.0.20-2ubuntu6
  Candidate: 1.0.20-2ubuntu6
  Version table:
 *** 1.0.20-2ubuntu6 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
$ uname -a
 2.6.31-15-generic #49-Ubuntu SMP Fri Nov 6 09:52:03 UTC 2009 i686 GNU/Linux

Sound muted on boot - 3 installs - one is a fresh/updated test machine.

Daniel T Chen (crimsun) wrote :

This symptom, via debugging, is increasingly looking like a disconnect
between linux, alsa-lib, and pulseaudio. In other words, alsa-utils is
seemingly less and less relevant.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers